Loading...
Searching...
No Matches
Magick::sampleImage Class Reference

## Public Member Functions

| sampleImage (const Geometry &geometry_)
void | operator() (Image &image_) const

## Private Attributes

Geometry | _geometry

## Detailed Description

Definition at line 960 of file STL.h.

## Constructor & Destructor Documentation

## sampleImage()

Magick::sampleImage::sampleImage | ( | const Geometry & | geometry_ | ) |

Definition at line 919 of file STL.cpp.

: _geometry( geometry_ )
{
}

## Member Function Documentation

## operator()()

void Magick::sampleImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 923 of file STL.cpp.

{
image_.sample( _geometry );
}

## Field Documentation

## _geometry

Geometry Magick::sampleImage::_geometry

private

Definition at line 968 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp